function toga_profiles(args)
say 'args =' args
exp=subwrd(args,1)

'reinit'

# Nom fichier histhf:
'sdfopen histhf.nc'

# Nom fichier TOGA COARE data:
'open ../diags/database_3h_coare.ctl'

*-- periode a plotter:
time1='01nov92'
time2='27feb93'

fichout='./olr_alb_obs_'exp

*---------------------------------------

'set z 1'

'set time 'time1' 'time2
'set dfile 1'
'define olrmod=topl(x=1,y=1)'
'define albmod=SWupTOA(x=1,y=1)/SWdnTOAclr(x=1,y=1)*100'
'set dfile 2'
'define olrobs=olr(x=1,y=1)'
'define albobs=osr(x=1,y=1)/inso(x=1,y=1)*100'

'set t 1'
'set dfile 1'
'define moyolrmod=ave(olrmod,time='time1',time='time2')'
'set dfile 2'
'define moyolrobs=ave(olrobs,time='time1',time='time2')'

say 'ok'

********** PLOT OLR:

*** 2 premiers mois:

'set time 5nov92 31dec92'
'set vpage 0 8.5 7.75 11'

'set vrange 100 300'
'set yflip on'
'set grads off'
'set cmark 0'
'set ccolor 2'
'set dfile 1'
'd tloop(ave(olrmod,t-2,t+2))'

'set cmark 0'
'set ccolor 1'
'set cstyle 1'
'set ccolor 1'
'set dfile 2'
'd tloop(ave(olrobs,t-4,t+4))'
'draw title OLR: obs (black), 'exp' (red)'
'draw ylab W/m2'

*** 2 derniers mois:

'set time 31dec92 28feb93'
'set vpage 0 8.5 5.5 8.75 '

'set vrange 100 300'
'set yflip on'
'set grads off'
'set cmark 0'
'set ccolor 2'
'set dfile 1'
'd tloop(ave(olrmod,t-2,t+2))'

'set cmark 0'
'set ccolor 1'
'set cstyle 1'
'set ccolor 1'
'set dfile 2'
'd tloop(ave(olrobs,t-4,t+4))'
'draw ylab W/m2'

********** PLOT ALB:

* 2 premiers mois:

'set time 5nov92 31dec92'
'set vpage 0 8.5 2.25 5.5 '

'set vrange 0 80'
'set grads off'
'set cmark 0'
'set ccolor 2'
'set dfile 1'
'd tloop(ave(albmod,t-2,t+2))'

'set cmark 0'
'set ccolor 1'
'set cstyle 1'
'set ccolor 1'
'set dfile 2'
'd tloop(ave(albobs,t-4,t+4))'

'draw title ALBEDO: obs (black), 'exp' (red)'
'draw ylab %'

* 2 derniers mois:

'set time 31dec92 28feb93'
'set vpage 0 8.5 0 3.25  '

'set vrange 0 80'
'set grads off'
'set ccolor 2'
'set cmark 0'
'set dfile 1'
'd tloop(ave(albmod,t-2,t+2))'

'set cmark 0'
'set ccolor 1'
'set cstyle 1'
'set ccolor 1'
'set dfile 2'
'd tloop(ave(albobs,t-4,t+4))'
'draw ylab %'

* Save graphics in .eps :
'enable print 'fichout'.gx'
'print'
'disable print'
'!gxeps -c -i 'fichout'.gx -o 'fichout'.eps'
'!/bin/rm 'fichout'.gx'
say 'OUT: 'fichout'.eps'

'quit'
